local modpath = core.get_modpath(core.get_current_modname());
local schempath = modpath.."/schems/data";
local dp = natural_habitat.dupes;

m7a.register_multideco("natural_habitat:deco_boulder", {
    deco_type = "schematic",
        
    fill_ratio = 0.0003,
    sidelen = 2,
        
    spawn_by = { "air" },
    num_spawn_by = 5,
    
    replacements = { ["default:stone"] = dp.stone },
    
    y_max = 50,
    y_min = 1,
    
    place_offset_y = -4;
    place_on = { dp.soil_with_grass, dp.snow },
    
    decos = {
        {schematic = schempath.."/nbt_boulder_1.mts"},
        {schematic = schempath.."/nbt_boulder_2.mts"},
    },
});
